WinDom: Mouse Library

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

# Mouse Library
[Reference documentation]

Utility functions related to mouse. More...

## Functions
void | mt_MouseObjc (APPvar *app, OBJECT *tree, int __index)
| set the mouse cursor over the center of an object
void | mt_MouseWork (APPvar *app)
| display an animated buzy mouse
void | mt_MouseSprite (APPvar *app, OBJECT *tree, int __index)
| set a ICON as the new mouse cursor form

## Detailed Description

Utility functions related to mouse.

## Function Documentation

void mt_MouseObjc | ( | APPvar * | app,
|  | OBJECT * | tree,
|  | int | index
| ) |

  | set the mouse cursor over the center of an object Parameters:
  | app | application decriptor
  | tree | address of a form
  | index | object of the form on which the mouse cursor should be centered
This function will set the position of the mouse cursor on the middle of the object. This function internally use mt_appl_tplay() to change the mouse position. This function may not work on some AESes which lack mt_appl_tplay.

void mt_MouseSprite | ( | APPvar * | app,
|  | OBJECT * | tree,
|  | int | index
| ) |

  | set a ICON as the new mouse cursor form Parameters:
  | app | application descriptor
  | tree | address of a form
  | index | object of the form
This function gets the index-th object of the tree. This object must be a G_ICON object. This doesn't work for color icon. Same for userdef object (warning: a userdef library may have transformed your G_ICON object to a userdef object). Then, the icon data of this object is used as the new form of the mouse.

void mt_MouseWork | ( | APPvar * | app | ) |

  | display an animated buzy mouse Parameters:
  | app | application descritor
windom has some built-in mouse sprites to show the user that the application is buzy. This function will transform the mouse cursor to one of these built-in sprite. The next call will display the following sprite, and so on... If you call mt_MouseWork() every 200ms, then you'll see an animation on the mouse cursor, with a refresh of one frame every 200ms. This may be used when your application is blocked doing a "long" work without interaction with the user while the work is not done. That way, the user will see that the mouse cursor is animated and so, the application is not dead.